Class | WSDL::Types
In: | wsdl/types.rb
Parent: | Info

### Methods

new parse_attr parse_element

### Attributes

schemas | [R] |

### Public Class methods

new()

[Source]

    # File wsdl/types.rb, line 18
      def initialize
        super
        @schemas = []
      end

### Public Instance methods

parse_attr(attr, value)

[Source]

    # File wsdl/types.rb, line 37
      def parse_attr(attr, value)
        nil
      end

parse_element(element)

[Source]

    # File wsdl/types.rb, line 23
      def parse_element(element)
        case element
        when SchemaName
          o = XMLSchema::Schema.new
          @schemas << o
          o
        when DocumentationName
          o = Documentation.new
          o
        else
          nil
        end
      end

[Validate]